Re: installing gtk+

Maarten Ottens wrote:
> all well so far.
> next problem occured with gtk+ I tried to install it, but i now get the
> following error:
> checking for glib-config... no
> checking for GLIB - version >= 1.2.8... no
> *** The glib-config script installed by GLIB could not be found
> *** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
> *** your path, or set the GLIB_CONFIG environment variable to the
> *** full path to glib-config.
> configure: error:
> *** GLIB 1.2.8 or better is required. The latest version of GLIB
> *** is always available from
> I just installed glib 1.2.8, what is wrong?

Did you actually check that glib-config is in your path (as the
error message suggests)? If SuSE is anything like RedHat, then
the default install doesn't include /usr/local/bin in the path.
The glib and GTK+ packages that come with RedHat install into
/usr rather than /usr/local, so this isn't a problem.

The tar.gz distribution of glib and GTK+ install into /usr/local
by default. So check where your new version of glib installed
to - if it's /usr/local, then update your path.

oversized chuckle suppository for the chronically unamused

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]